/*
Theme Name:   WDC Custom Build
Description:   Custom child theme for Twenty Twenty-Five
Author:        81 Digital UK
Template:      twentytwentyfive
Version:       1.0.0
Text Domain:   wdc_custom_build
*/

/* Base Visibility */
.custom-divider-group .shape-divider {
    display: none;
    position: absolute;
    width: 100%;
    z-index: 2;
}

/* Activation Toggles (The Styles buttons) */
.is-style-show-triangle-top .triangle-svg.shape-top,
.is-style-show-triangle-bottom .triangle-svg.shape-bottom,
.is-style-show-wave-top .wave-svg.shape-top,
.is-style-show-wave-bottom .wave-svg.shape-bottom,
.is-style-show-zigzag-top .zigzag-svg.shape-top,
.is-style-show-zigzag-bottom .zigzag-svg.shape-bottom {
    display: block !important;
}

/* Make sure shapes match the background of the Group block */
.custom-divider-group .shape-divider svg {
    fill: #ffffff; /* Default, or match your page background */
    height: 80px;
}

.wp-block-tt25-child-image-block {
    display: block; /* Ensures margins work correctly */
    box-sizing: border-box; /* Ensures padding doesn't break the width */
}


/*layout fixes*/

@media (max-width: 580px) {
  .grid-responsive-gallery  {
  grid-template-columns: repeat(1, minmax(0, 1fr)) !important;
  }
}